{
    "capabilities": {
      "textDocumentSync": 2,
      "completionProvider": {
        "resolveProvider": false,
        "triggerCharacters": [ "\"", ":" ],
        "documentSelector": [{ "language": "xquery" }]
      },
      "hoverProvider": true,
      "documentSymbolProvider": true,
      "documentRangeFormattingProvider": false,
      "colorProvider": {},
      "foldingRangeProvider": true,
      "selectionRangeProvider": true,
      "documentLinkProvider": {},
       "serverInfo": {
            "name": "My Custom Language Server",
            "version": "1.0.0"
        }
    }
  }